Loading...
Searching...
No Matches
Dune::CommPolicy< Amg::GlobalAggregatesMap< T, TI > > Struct Template Reference

`#include <dune/istl/paamg/globalaggregates.hh>`

## Public Types

typedef Amg::AggregatesMap< T > | Type
typedef Amg::GlobalAggregatesMap< T, TI >::IndexedType | IndexedType
typedef SizeOne | IndexedTypeFlag

## Static Public Member Functions

static int | getSize (const Type &, int)

## Member Typedef Documentation

## IndexedType

template<typename T, typename TI>

typedef Amg::GlobalAggregatesMap<T,TI>::IndexedType Dune::CommPolicy< Amg::GlobalAggregatesMap< T, TI > >::IndexedType

## IndexedTypeFlag

template<typename T, typename TI>

typedef SizeOne Dune::CommPolicy< Amg::GlobalAggregatesMap< T, TI > >::IndexedTypeFlag

## Type

template<typename T, typename TI>

typedef Amg::AggregatesMap<T> Dune::CommPolicy< Amg::GlobalAggregatesMap< T, TI > >::Type

## Member Function Documentation

## getSize()

template<typename T, typename TI>

int Dune::CommPolicy< Amg::GlobalAggregatesMap< T, TI > >::getSize | ( | const Type & | ,
|  | int | )

inline static

The documentation for this struct was generated from the following file:

- globalaggregates.hh